diff -Nru base-files-7.5/debian/changelog base-files-7.5+rpi1/debian/changelog
--- base-files-7.5/debian/changelog	2014-07-20 10:10:44.000000000 +0000
+++ base-files-7.5+rpi1/debian/changelog	2014-07-30 05:13:26.000000000 +0000
@@ -1,3 +1,11 @@
+base-files (7.5+rpi1) jessie-staging; urgency=low
+
+  * Modify default vendor etc for raspbian.
+  * Modify maintainer scripts so default will be set to raspbian even when
+    upgrading
+
+ -- Peter Michael Green <plugwash@raspbian.org>  Wed, 30 Jul 2014 05:12:19 +0000
+
 base-files (7.5) unstable; urgency=medium
 
   * Made /etc/os-release symlink to be relative, as an absolute symlink
diff -Nru base-files-7.5/debian/conffiles base-files-7.5+rpi1/debian/conffiles
--- base-files-7.5/debian/conffiles	2014-07-19 15:08:38.000000000 +0000
+++ base-files-7.5+rpi1/debian/conffiles	2014-07-30 05:13:29.000000000 +0000
@@ -1,5 +1,6 @@
 /etc/debian_version
 /etc/dpkg/origins/debian
+/etc/dpkg/origins/raspbian
 /etc/host.conf
 /etc/issue
 /etc/issue.net
diff -Nru base-files-7.5/debian/postinst.in base-files-7.5+rpi1/debian/postinst.in
--- base-files-7.5/debian/postinst.in	2014-05-04 12:38:37.000000000 +0000
+++ base-files-7.5+rpi1/debian/postinst.in	2014-07-30 05:13:29.000000000 +0000
@@ -44,11 +44,11 @@
   fi
 }
 
-if [ ! -e /etc/dpkg/origins/default ]; then
+#if [ ! -e /etc/dpkg/origins/default ]; then
   if [ -e /etc/dpkg/origins/#VENDORFILE# ]; then
     ln -sf #VENDORFILE# /etc/dpkg/origins/default
   fi
-fi
+#fi
 
 if [ "$1" = "configure" ] && [ "$2" = "" ]; then
   install_from_default /usr/share/base-files/staff-group-for-usr-local \
diff -Nru base-files-7.5/debian/postinst.in.orig base-files-7.5+rpi1/debian/postinst.in.orig
--- base-files-7.5/debian/postinst.in.orig	1970-01-01 00:00:00.000000000 +0000
+++ base-files-7.5+rpi1/debian/postinst.in.orig	2014-07-30 05:13:29.000000000 +0000
@@ -0,0 +1,129 @@
+#!/bin/sh
+set -e
+
+install_local_dir() {
+  if [ ! -d $1 ]; then
+    mkdir -p $1
+  fi
+  if [ -f /etc/staff-group-for-usr-local ]; then
+    chown root:staff $1 2> /dev/null || true
+    chmod 2775 $1 2> /dev/null || true
+  fi
+}
+
+install_from_default() {
+  if [ ! -f $2 ]; then
+    cp -p $1 $2
+  fi
+}
+
+install_directory() {
+  if [ ! -d /$1 ]; then
+    mkdir /$1
+    chown root:$3 /$1
+    chmod $2 /$1
+  fi
+}
+
+migrate_directory() {
+  if [ ! -L $1 ]; then
+    rmdir $1
+    ln -s $2 $1
+  fi
+}
+
+update_to_current_default() {
+  if [ -f /etc/$1 ]; then
+    md5=`md5sum /etc/$1 | cut -f 1 -d " "`
+    if grep -q "$md5" /usr/share/base-files/$1.md5sums; then
+      if ! cmp -s /usr/share/base-files/$1 /etc/$1; then
+        cp -p /usr/share/base-files/$1 /etc/$1
+        echo Updating /etc/$1 to current default.
+      fi
+    fi
+  fi
+}
+
+if [ ! -e /etc/dpkg/origins/default ]; then
+  if [ -e /etc/dpkg/origins/#VENDORFILE# ]; then
+    ln -sf #VENDORFILE# /etc/dpkg/origins/default
+  fi
+fi
+
+if [ "$1" = "configure" ] && [ "$2" = "" ]; then
+  install_from_default /usr/share/base-files/staff-group-for-usr-local \
+    /etc/staff-group-for-usr-local
+  install_from_default /usr/share/base-files/nsswitch.conf /etc/nsswitch.conf
+  install_from_default /usr/share/base-files/dot.profile   /root/.profile
+  install_from_default /usr/share/base-files/dot.bashrc    /root/.bashrc
+  install_from_default /usr/share/base-files/profile       /etc/profile
+  install_from_default /usr/share/base-files/motd          /etc/motd
+  install_directory srv       755 root
+  install_directory opt       755 root
+  install_directory etc/opt   755 root
+  install_directory var/opt   755 root
+  install_directory media     755 root
+  install_directory var/mail 2775 mail
+  if [ ! -L /var/spool/mail ]; then
+    ln -s ../mail /var/spool/mail
+  fi
+  install_directory run/lock 1777 root
+  migrate_directory /var/run /run
+  migrate_directory /var/lock /run/lock
+
+  install_local_dir /usr/local
+  install_local_dir /usr/local/share
+  install_local_dir /usr/local/share/man
+  install_local_dir /usr/local/bin
+  install_local_dir /usr/local/games
+  install_local_dir /usr/local/lib
+  install_local_dir /usr/local/include
+  install_local_dir /usr/local/sbin
+  install_local_dir /usr/local/src
+  install_local_dir /usr/local/etc
+  ln -sf share/man /usr/local/man
+
+  if [ ! -f /var/log/wtmp ]; then
+    echo -n>/var/log/wtmp
+  fi
+  if [ ! -f /var/log/btmp ]; then
+    echo -n>/var/log/btmp
+  fi
+  if [ ! -f /var/log/lastlog ]; then
+    echo -n>/var/log/lastlog
+  fi
+  chown root:utmp /var/log/wtmp /var/log/btmp /var/log/lastlog
+  chmod 664 /var/log/wtmp /var/log/lastlog
+  chmod 660 /var/log/btmp
+  if [ ! -f /var/run/utmp ]; then
+    echo -n>/var/run/utmp
+  fi
+  chown root:utmp /var/run/utmp
+  chmod 664 /var/run/utmp
+fi
+
+if [ ! -d /var/lib/dpkg ]; then
+  mkdir -m 755 -p /var/lib/dpkg
+  chown root:root /var/lib/dpkg
+fi
+if [ ! -f /var/lib/dpkg/status ]; then
+  echo > /var/lib/dpkg/status
+  chmod 644 /var/lib/dpkg/status
+  chown root:root /var/lib/dpkg/status
+fi
+
+if [ ! -f /usr/info/dir ] && [ ! -f /usr/share/info/dir ]; then
+  install_from_default /usr/share/base-files/info.dir /usr/share/info/dir
+  chmod 644 /usr/share/info/dir
+  chown root:root /usr/share/info/dir
+fi
+
+if [ "$1" = "configure" ] && [ "$2" != "" ]; then
+  update_to_current_default profile
+  update_to_current_default nsswitch.conf
+fi
+
+if dpkg --compare-versions "$2" lt-nl "6.10"; then
+  install_from_default /usr/share/base-files/staff-group-for-usr-local \
+    /etc/staff-group-for-usr-local
+fi
diff -Nru base-files-7.5/debian/rules base-files-7.5+rpi1/debian/rules
--- base-files-7.5/debian/rules	2014-07-20 10:11:12.000000000 +0000
+++ base-files-7.5+rpi1/debian/rules	2014-07-30 05:13:29.000000000 +0000
@@ -11,7 +11,7 @@
   OSNAME=GNU/Hurd
 endif
 
-VENDORFILE = debian
+VENDORFILE = raspbian
 
 VERSION = $(shell cat etc/debian_version)
 
diff -Nru base-files-7.5/etc/issue base-files-7.5+rpi1/etc/issue
--- base-files-7.5/etc/issue	2013-05-05 10:00:00.000000000 +0000
+++ base-files-7.5+rpi1/etc/issue	2014-07-30 05:13:29.000000000 +0000
@@ -1,2 +1,2 @@
-Debian #OSNAME# jessie/sid \n \l
+Raspbian #OSNAME# jessie/sid \n \l
 
diff -Nru base-files-7.5/etc/issue.net base-files-7.5+rpi1/etc/issue.net
--- base-files-7.5/etc/issue.net	2013-05-05 10:00:00.000000000 +0000
+++ base-files-7.5+rpi1/etc/issue.net	2014-07-30 05:13:29.000000000 +0000
@@ -1 +1 @@
-Debian #OSNAME# jessie/sid
+Raspbian #OSNAME# jessie/sid
diff -Nru base-files-7.5/etc/os-release base-files-7.5+rpi1/etc/os-release
--- base-files-7.5/etc/os-release	2014-07-19 15:00:00.000000000 +0000
+++ base-files-7.5+rpi1/etc/os-release	2014-07-30 05:18:22.000000000 +0000
@@ -1,7 +1,8 @@
-PRETTY_NAME="Debian #OSNAME# jessie/sid"
-NAME="Debian #OSNAME#"
-ID=debian
+PRETTY_NAME="Raspbian #OSNAME# jessie/sid"
+NAME="Raspbian #OSNAME#"
+ID=raspbian
+ID_LIKE=debian
 ANSI_COLOR="1;31"
-HOME_URL="http://www.debian.org/"
-SUPPORT_URL="http://www.debian.org/support/"
-BUG_REPORT_URL="https://bugs.debian.org/"
+HOME_URL="http://www.raspbian.org/"
+SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
+BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"
diff -Nru base-files-7.5/origins/raspbian base-files-7.5+rpi1/origins/raspbian
--- base-files-7.5/origins/raspbian	1970-01-01 00:00:00.000000000 +0000
+++ base-files-7.5+rpi1/origins/raspbian	2014-07-30 05:13:29.000000000 +0000
@@ -0,0 +1,4 @@
+Vendor: Raspbian
+Vendor-URL: http://www.raspbian.org/
+Bugs: https://bugs.launchpad.net/raspbian/+filebug
+Parent: Debian